Bug 427344 - Dates pre-1969 not handles correctly
Dates pre-1969 not handles correctly
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-03 04:42 EST by Philip Frampton
Modified: 2008-02-16 18:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-16 18:05:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 339813 None None None Never

  None (edit)
Description Philip Frampton 2008-01-03 04:42:46 EST
Description of problem:
Evolution stores birth years as 2 digits, consequently anything before 1969
become 20xx. The side effect is that birthdays after the current year show up on
the calendar on 31st December 11:59pm rather than on their correct day.

The problem has been fixed in the stable 2.12 branch of evolution and so it
might be easy to now incorporate this in an update.

Version-Release number of selected component (if applicable):
Evolution 2.12.2

How reproducible:
Add a contact 

Steps to Reproduce:
1.Add a test contact
2.Enter the date of birth as 01/01/69 (Evolution only accepts 2 digit year entry)
3.Use drop down calendar to move year back to 01 Dec 1968
4.Save contact, reopen contact as birthday is 01 Dec 2068
5.Birthday appears in calendar as 11:59pm Dec 31st.
Actual results:

Expected results:
Should stay as 01 Dec 1968

Additional info:

There are several up stream bugs, reported as fixed, and I was told on the
#evolution channel on gimp.net that the problem is fixed in the stable 2.12 branch.

Comment 1 Matthew Barnes 2008-01-03 07:47:39 EST
This will be fixed in Fedora 8 once Evolution 2.12.3 is released next week.
Comment 2 Matthew Barnes 2008-02-16 18:05:08 EST
This is fixed now in Evolution 2.21.  Closing as UPSTREAM.

Corresponding upstream bug: http://bugzilla.gnome.org/show_bug.cgi?id=339813

Note You need to log in before you can comment on or make changes to this bug.